Bug 64816 - Lacks LDAP support
Lacks LDAP support
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
: FutureFeature
: 71352 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-05-13 01:48 EDT by Wil Cooley
Modified: 2007-04-18 12:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-20 01:09:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wil Cooley 2002-05-13 01:48:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:

Version-Release number of selected component (if applicable): postfix-1.1.7-2

How reproducible:

Steps to Reproduce:
Postfix included with 7.3 lacks LDAP support, even though OpenLDAP libraries
have become a core component:

# ldd /usr/libexec/postfix/smtpd
        libssl.so.2 => /lib/libssl.so.2 (0x40017000)
        libcrypto.so.2 => /lib/libcrypto.so.2 (0x40045000)
        libdb-3.3.so => /lib/libdb-3.3.so (0x40108000)
        libnsl.so.1 => /lib/libnsl.so.1 (0x40197000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x401ac000)
        libgdbm.so.2 => /usr/lib/libgdbm.so.2 (0x401bd000)
        libc.so.6 => /lib/i686/libc.so.6 (0x42000000)
        libdl.so.2 => /lib/libdl.so.2 (0x401c4000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

Additional info:
Comment 1 sean 2002-07-27 15:35:58 EDT
According to Bugzilla, there were requests as far back as 6.2/7.0 to include
LDAP support by default in the Postfix RPMS and the reason then to not do so was
because that would add an additional dependency that most users would have to
install packages for.

These days I don't think I could install even a stripped down Red Hat Linux
system without LDAP.  However, even in rawhide the Postfix LDAP support is not
built by default.  Is there a reason it can't/shouldn't be enabled by default
for 8.0?
Comment 2 Chris Ricker 2002-12-19 02:09:02 EST
*** Bug 71352 has been marked as a duplicate of this bug. ***
Comment 3 Chris Ricker 2002-12-19 02:10:11 EST
Still true w/ 8.0
Comment 4 Chris Ricker 2003-05-20 01:09:39 EDT
I'm closing this, since the rawhide builds now have LDAP enabled....

Note You need to log in before you can comment on or make changes to this bug.